player_laser_set_filter_config Struct Reference

Request/reply: Set filter settings. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | filter_type
| Filter type. More...
uint32_t | parameters_count
| The number of filter parameters.
float | parameters [PLAYER_LASER_MAX_FILTER_PARAMS]
| Filter parameters.

## Detailed Description

Request/reply: Set filter settings.

Send a PLAYER_LASER_REQ_SET_FILTER request to set the laser's internal filter parameters (assuming your hardware supports it). Currently the finally settings can be applied to the SICK LMS400: a) median filter - PLAYER_LASER_FILTER_MEDIAN, no parameters b) edge filter - PLAYER_LASER_FILTER_EDGE, no parameters c) range filter - PLAYER_LASER_FILTER_RANGE p1 = BottomLimit (700-3000 in mm), p2 = TopLimit (700-3000 in mm) d) mean filter - PLAYER_LASER_FILTER_MEAN p1 = number of means (2-200)

Note: You can combine the filters as required. If several filters are active, then the filters act one after the other on the result of the previous filter. The processing in this case follows the following sequence: edge filter, median filter, range filter, mean filter.

## Member Data Documentation

uint8_t player_laser_set_filter_config::filter_type

Filter type.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45